Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

## Class AmendmentInformationDetailsSDD

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_002_01.AmendmentInformationDetailsSDD

    public class AmendmentInformationDetailsSDD
    extends java.lang.Object

Java class for AmendmentInformationDetailsSDD complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmendmentInformationDetailsSDD">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="OrgnlMndtId" type="{urn:swift:xsd:$pain.008.002.01}RestrictedIdentification1" minOccurs="0"/>
             <element name="OrgnlCdtrSchmeId" type="{urn:swift:xsd:$pain.008.002.01}PartyIdentificationSDD5" minOccurs="0"/>
             <element name="OrgnlDbtrAcct" type="{urn:swift:xsd:$pain.008.002.01}CashAccountSDD2" minOccurs="0"/>
             <element name="OrgnlDbtrAgt" type="{urn:swift:xsd:$pain.008.002.01}BranchAndFinancialInstitutionIdentificationSDD2" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected PartyIdentificationSDD5` `orgnlCdtrSchmeId`
`protected CashAccountSDD2` `orgnlDbtrAcct`
`protected BranchAndFinancialInstitutionIdentificationSDD2` `orgnlDbtrAgt`
`protected java.lang.String` `orgnlMndtId`

### Constructor Summary

Constructors
`AmendmentInformationDetailsSDD()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PartyIdentificationSDD5` `getOrgnlCdtrSchmeId()` Gets the value of the orgnlCdtrSchmeId property.
`CashAccountSDD2` `getOrgnlDbtrAcct()` Gets the value of the orgnlDbtrAcct property.
`BranchAndFinancialInstitutionIdentificationSDD2` `getOrgnlDbtrAgt()` Gets the value of the orgnlDbtrAgt property.
`java.lang.String` `getOrgnlMndtId()` Gets the value of the orgnlMndtId property.
`void` `setOrgnlCdtrSchmeId​(PartyIdentificationSDD5 value)` Sets the value of the orgnlCdtrSchmeId property.
`void` `setOrgnlDbtrAcct​(CashAccountSDD2 value)` Sets the value of the orgnlDbtrAcct property.
`void` `setOrgnlDbtrAgt​(BranchAndFinancialInstitutionIdentificationSDD2 value)` Sets the value of the orgnlDbtrAgt property.
`void` `setOrgnlMndtId​(java.lang.String value)` Sets the value of the orgnlMndtId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### orgnlMndtId

    protected java.lang.String orgnlMndtId

#### orgnlCdtrSchmeId

    protected PartyIdentificationSDD5 orgnlCdtrSchmeId

#### orgnlDbtrAcct

    protected CashAccountSDD2 orgnlDbtrAcct

#### orgnlDbtrAgt

    protected BranchAndFinancialInstitutionIdentificationSDD2 orgnlDbtrAgt

### Constructor Detail

#### AmendmentInformationDetailsSDD

    public AmendmentInformationDetailsSDD()

### Method Detail

#### getOrgnlMndtId

    public java.lang.String getOrgnlMndtId()

Gets the value of the orgnlMndtId property.

Returns:
  possible object is `String`

#### setOrgnlMndtId

    public void setOrgnlMndtId​(java.lang.String value)

Sets the value of the orgnlMndtId property.

Parameters:
  `value` - allowed object is `String`

#### getOrgnlCdtrSchmeId

    public PartyIdentificationSDD5 getOrgnlCdtrSchmeId()

Gets the value of the orgnlCdtrSchmeId property.

Returns:
  possible object is `PartyIdentificationSDD5`

#### setOrgnlCdtrSchmeId

    public void setOrgnlCdtrSchmeId​(PartyIdentificationSDD5 value)

Sets the value of the orgnlCdtrSchmeId property.

Parameters:
  `value` - allowed object is `PartyIdentificationSDD5`

#### getOrgnlDbtrAcct

    public CashAccountSDD2 getOrgnlDbtrAcct()

Gets the value of the orgnlDbtrAcct property.

Returns:
  possible object is `CashAccountSDD2`

#### setOrgnlDbtrAcct

    public void setOrgnlDbtrAcct​(CashAccountSDD2 value)

Sets the value of the orgnlDbtrAcct property.

Parameters:
  `value` - allowed object is `CashAccountSDD2`

#### getOrgnlDbtrAgt

    public BranchAndFinancialInstitutionIdentificationSDD2 getOrgnlDbtrAgt()

Gets the value of the orgnlDbtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentificationSDD2`

#### setOrgnlDbtrAgt

    public void setOrgnlDbtrAgt​(BranchAndFinancialInstitutionIdentificationSDD2 value)

Sets the value of the orgnlDbtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentificationSDD2`